Cyan Web API - Version 1


GET api/integrations

            Gets integrations within a tenant.
            

Response Information

Response body formats

application/json, text/json

Sample:
[
  {
    "integrationId": "3fe83ea2-b6d7-43cb-8d68-917325199663",
    "tenantId": "ede36735-d99e-4f64-8f6f-4606b22b5374",
    "applicationId": "1b184a7f-d606-40c1-8b35-621bf8a765d8",
    "integrationTypeId": "26d4102a-d82e-4ad6-b6bd-9e84abd57eb2",
    "integrationTypeLookupKey": "sample string 5",
    "name": "sample string 6",
    "description": "sample string 7",
    "createdDateUtc": "2026-11-13T23:59:40.1374606+00:00",
    "updatedDateUtc": "2026-11-13T23:59:40.1374606+00:00"
  },
  {
    "integrationId": "3fe83ea2-b6d7-43cb-8d68-917325199663",
    "tenantId": "ede36735-d99e-4f64-8f6f-4606b22b5374",
    "applicationId": "1b184a7f-d606-40c1-8b35-621bf8a765d8",
    "integrationTypeId": "26d4102a-d82e-4ad6-b6bd-9e84abd57eb2",
    "integrationTypeLookupKey": "sample string 5",
    "name": "sample string 6",
    "description": "sample string 7",
    "createdDateUtc": "2026-11-13T23:59:40.1374606+00:00",
    "updatedDateUtc": "2026-11-13T23:59:40.1374606+00:00"
  },
  {
    "integrationId": "3fe83ea2-b6d7-43cb-8d68-917325199663",
    "tenantId": "ede36735-d99e-4f64-8f6f-4606b22b5374",
    "applicationId": "1b184a7f-d606-40c1-8b35-621bf8a765d8",
    "integrationTypeId": "26d4102a-d82e-4ad6-b6bd-9e84abd57eb2",
    "integrationTypeLookupKey": "sample string 5",
    "name": "sample string 6",
    "description": "sample string 7",
    "createdDateUtc": "2026-11-13T23:59:40.1374606+00:00",
    "updatedDateUtc": "2026-11-13T23:59:40.1374606+00:00"
  }
]

application/xml, text/xml

Sample:
<ArrayOfIntegrationRepresentation xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BlueDot.Cyan.Server.Core.Models.Rest.Version1">
  <IntegrationRepresentation>
    <CreatedDateUtc>2026-11-13T23:59:40.1374606+00:00</CreatedDateUtc>
    <UpdatedDateUtc>2026-11-13T23:59:40.1374606+00:00</UpdatedDateUtc>
    <ApplicationId>1b184a7f-d606-40c1-8b35-621bf8a765d8</ApplicationId>
    <Description>sample string 7</Description>
    <IntegrationId>3fe83ea2-b6d7-43cb-8d68-917325199663</IntegrationId>
    <IntegrationTypeId>26d4102a-d82e-4ad6-b6bd-9e84abd57eb2</IntegrationTypeId>
    <IntegrationTypeLookupKey>sample string 5</IntegrationTypeLookupKey>
    <Name>sample string 6</Name>
    <TenantId>ede36735-d99e-4f64-8f6f-4606b22b5374</TenantId>
  </IntegrationRepresentation>
  <IntegrationRepresentation>
    <CreatedDateUtc>2026-11-13T23:59:40.1374606+00:00</CreatedDateUtc>
    <UpdatedDateUtc>2026-11-13T23:59:40.1374606+00:00</UpdatedDateUtc>
    <ApplicationId>1b184a7f-d606-40c1-8b35-621bf8a765d8</ApplicationId>
    <Description>sample string 7</Description>
    <IntegrationId>3fe83ea2-b6d7-43cb-8d68-917325199663</IntegrationId>
    <IntegrationTypeId>26d4102a-d82e-4ad6-b6bd-9e84abd57eb2</IntegrationTypeId>
    <IntegrationTypeLookupKey>sample string 5</IntegrationTypeLookupKey>
    <Name>sample string 6</Name>
    <TenantId>ede36735-d99e-4f64-8f6f-4606b22b5374</TenantId>
  </IntegrationRepresentation>
  <IntegrationRepresentation>
    <CreatedDateUtc>2026-11-13T23:59:40.1374606+00:00</CreatedDateUtc>
    <UpdatedDateUtc>2026-11-13T23:59:40.1374606+00:00</UpdatedDateUtc>
    <ApplicationId>1b184a7f-d606-40c1-8b35-621bf8a765d8</ApplicationId>
    <Description>sample string 7</Description>
    <IntegrationId>3fe83ea2-b6d7-43cb-8d68-917325199663</IntegrationId>
    <IntegrationTypeId>26d4102a-d82e-4ad6-b6bd-9e84abd57eb2</IntegrationTypeId>
    <IntegrationTypeLookupKey>sample string 5</IntegrationTypeLookupKey>
    <Name>sample string 6</Name>
    <TenantId>ede36735-d99e-4f64-8f6f-4606b22b5374</TenantId>
  </IntegrationRepresentation>
</ArrayOfIntegrationRepresentation>